% Nominalna vrednost fazne struje
I_a_nom=15.4;
% Nominalna vrednost statorskog napona
U_s_nom=220;
% Nominalna vrednost statorske ucestanosti
omega_s_nom=100*pi;
% Nominalna vrednost faktora snage
cos_fi_nom=0.85;
% Noninalna vrednost stepena iskoriscenja
eta_nom=0.87;
% Nominalna vrednost fluksa statora
F_s_nom=U_s_nom/omega_s_nom;
% Broj pari polova
p=2;
% Nominalna vrednost elektromagnetnog momenta
M_em_nom=3*p*U_s_nom*I_a_nom*cos_fi_nom*eta_nom/omega_s_nom;

TB=0:1:max(size(I_a))-1;
TB = TB*0.000005;

plot(TB,I_a*I_a_nom);
xlabel('vreme [s]');
title('Struja faze a [A]');
grid on;
pause

plot(TB,Fluks*F_s_nom);
xlabel('vreme [s]');
title('Fluks statora [Wb]');
grid on;
pause

plot(TB,M_em*M_em_nom);
xlabel('vreme [s]');
title('Elektromagnetni moment [Nm]');
grid on;
pause

plot(TB,Omega_m*omega_s_nom);
xlabel('vreme [s]');
title('Ugaona brzina [rad/s]');
grid on;
pause

plot(TB(60000:100001),(1-Omega_m(60000:100001))*omega_s_nom);
xlabel('vreme [s]');
title('greska ugaone  brzine [rad/s]');
grid on;
